/*!
* \file partie.h
* \brief Fichier contenant les signatures des fonctions liees a la structure Partie.
*/

#include "structures.h"

#ifndef PARTIE_H
#define PARTIE_H

Partie * initPartie();
void deletePartie(Partie * p);

int getNbTour(Partie * p);
void augmenterNbTour(Partie * p);

int addParticipant(Partie * p, Joueur * j);
int removeParticipant(Partie * p, Joueur * j);

void debutTour(Partie * p, Joueur * j);
void finTour(Partie * p);

int isTurn(Partie * p, Joueur * j);
Personnage * jouerPersonnage (Partie * p, Joueur * j, Personnage * perso);

int victoire(Partie * p, Joueur * j);

void finPartie(Partie * p);

#endif // PARTIE_H
